Summary: GNOME Settings Daemon
Name: gnome-settings-daemon
Version: 3.4.2
Release: 1
License: GPLv2+
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	ldetect-lst
BuildRequires:	cups-devel
BuildRequires:	pkgconfig(colord)
BuildRequires:	pkgconfig(dbus-1) >= 1.1.2
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.14
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.1.5
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.2.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.4
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(kbproto)
BuildRequires:	pkgconfig(lcms2) >= 2.2
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libgnomekbd) >= 2.91.1
BuildRequires:	pkgconfig(libgnomekbdui) >= 2.91.1
BuildRequires:	pkgconfig(libnotify) >= 0.7.3,
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:	pkgconfig(libwacom)
BuildRequires:	pkgconfig(libxklavier) >= 5.0
BuildRequires:	pkgconfig(nss) >= 3.11.2,
BuildRequires:	pkgconfig(packagekit-glib2) >= 0.6.12
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xorg-wacom)

%description
GNOME settings daemon manages the configuration of the desktop in the
background.

%package devel
Summary:	Include files for the GNOME settings daemon
Group:		Development/GNOME and GTK+

%description devel
Include files for the GNOME settings daemon

%prep
%setup -q 
%apply_patches

# looking /usr/share/misc/pnp.ids
sed -i 's/hwdata/misc/g' \
	acinclude.m4 \
	configure

autoreconf -fi

%build
%configure2_5x \
	--disable-static \
	--enable-packagekit \
	--enable-profiling

%make

%install
%makeinstall_std xmldir=%{buildroot}%{_datadir}/gnome-control-center/keybindings
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%{find_lang} %{name} --with-gnome --all-name

%pre
if [ -d %{_libexecdir}/%{name} ]
  then rm -rf %{_libexecdir}/%{name} 
fi

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS
%dir %{_sysconfdir}/gnome-settings-daemon
%dir %{_sysconfdir}/gnome-settings-daemon/xrandr
%dir %{_libdir}/gnome-settings-daemon-3.0

# list plugins explicitly, so we notice if one goes missing
# some of these don't have a separate gschema
%{_libdir}/gnome-settings-daemon-3.0/a11y-keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/liba11y-keyboard.so

#%{_libdir}/gnome-settings-daemon-3.0/automount.gnome-settings-plugin
#%{_libdir}/gnome-settings-daemon-3.0/libautomount.so

%{_libdir}/gnome-settings-daemon-3.0/power.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libpower.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.power.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/updates.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libupdates.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.updates.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/background.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libbackground.so

%{_libdir}/gnome-settings-daemon-3.0/clipboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libclipboard.so

%{_libdir}/gnome-settings-daemon-3.0/housekeeping.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libhousekeeping.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.housekeeping.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libkeyboard.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.keyboard.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/media-keys.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libmedia-keys.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.media-keys.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/mouse.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libmouse.so

%{_libdir}/gnome-settings-daemon-3.0/print-notifications.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libprint-notifications.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.print-notifications.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/smartcard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libsmartcard.so

%{_libdir}/gnome-settings-daemon-3.0/sound.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libsound.so

#%{_libdir}/gnome-settings-daemon-3.0/updates.gnome-settings-plugin
#%{_libdir}/gnome-settings-daemon-3.0/libupdates.so
#%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.updates.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/wacom.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libgsdwacom.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.wacom.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/xrandr.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libxrandr.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xrandr.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/xsettings.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libxsettings.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xsettings.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/a11y-settings.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/liba11y-settings.so

%{_libdir}/gnome-settings-daemon-3.0/color.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libcolor.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.color.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/cursor.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libcursor.so

%{_libdir}/gnome-settings-daemon-3.0/libgsd.so

%{_libdir}/gnome-settings-daemon-3.0/orientation.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/liborientation.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.orientation.gschema.xml

%{_libexecdir}/gnome-fallback-mount-helper
%{_libexecdir}/gnome-settings-daemon
%{_libexecdir}/gsd-backlight-helper
%{_libexecdir}/gsd-locate-pointer
%{_libexecdir}/gsd-printer
%{_libexecdir}/gsd-wacom-led-helper

%{_datadir}/gnome-settings-daemon/
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service
%{_datadir}/dbus-1/interfaces/org.gnome.SettingsDaemonUpdates.xml

%{_sysconfdir}/xdg/autostart/gnome-settings-daemon.desktop
%{_sysconfdir}/xdg/autostart/gnome-fallback-mount-helper.desktop

%{_datadir}/icons/hicolor/*/apps/gsd-xrandr.*

%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.power.policy
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.wacom.policy

%{_datadir}/GConf/gsettings/gnome-settings-daemon.convert

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.gschema.xml

%{_datadir}/man/man1/gnome-settings-daemon.1.*

%files devel
%{_includedir}/gnome-settings-daemon-3.0
%{_libdir}/pkgconfig/gnome-settings-daemon.pc
%dir %{_datadir}/gnome-settings-daemon-3.0
%{_datadir}/gnome-settings-daemon-3.0/input-device-example.sh


%changelog
* Thu May 17 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.2-1
+ Revision: 799383
- update to new version 3.4.2

* Fri Apr 27 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.1-1
+ Revision: 794165
- new version 3.4.1

* Fri Mar 02 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.2.2-1
+ Revision: 781860
- new version 3.2.2
- adapted from mga spec

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 2.32.1-3
+ Revision: 677078
- rebuild to add gconf2 as req

* Mon Apr 11 2011 Funda Wang <fwang@mandriva.org> 2.32.1-2
+ Revision: 652519
- add upstream patch to build with libnotify 0.7

* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597709
- update to new version 2.32.1

  + John Balcaen <mikala@mandriva.org>
    - Fix BR for libcanberra-gtk-devel

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581339
- update to new version 2.32.0

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578228
- update to new version 2.31.92

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574720
- update to new version 2.31.91

* Tue Aug 03 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 565424
- new version
- bump deps
- update file list

* Tue Jun 22 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 548564
- Release 2.30.2
- Remove patch7 (merged upstream)

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-4mdv2010.1
+ Revision: 544375
- Patch7 (GIT): various bug fixes from GIT

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-3mdv2010.1
+ Revision: 543367
- Requires libgnome2-schemas for default settings

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 543320
- Fix url
- Remove dependencies, they don't belong to gnome-settings-daemon

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539012
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528807
- update to new version 2.30.0

* Mon Mar 08 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516760
- new version
- bump libgnome-desktop dep

* Wed Feb 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.91.1-1mdv2010.1
+ Revision: 510669
- new version
- add new icons

* Mon Feb 08 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502213
- update to new version 2.29.90

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 496516
- update to new version 2.29.6

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-2mdv2010.1
+ Revision: 490514
- rebuild for new libgnome-desktop

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 490413
- new version
- drop patches 0,7

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.28.1-3mdv2010.1
+ Revision: 489677
- patch for new libxklavier

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-2mdv2010.0
+ Revision: 459932
- Patch7 (GIT): fix fuzziness (GNOME bug #567249) (GIT)

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458667
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446545
- update build deps
- new version
- rediff patch 4
- update file list

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 432563
- new version
- update file list

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420301
- update to new version 2.27.91

* Fri Aug 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 416300
- update to new version 2.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 401388
- new version
- update file list
- remove old build deps

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395925
- new version
- drop patches 0,5
- rediff patch 6
- update file list

* Thu Jul 02 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-3mdv2010.0
+ Revision: 391838
- replace libxklavier patch by official git version

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-2mdv2010.0
+ Revision: 390586
- make it build with new libxklavier
- drop patch 2

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 385998
- new version
- disable patch 2, must be checked

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374175
- new version

* Wed Apr 15 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 367274
- update to new version 2.26.1

* Sun Apr 12 2009 Colin Guthrie <cguthrie@mandriva.org> 2.26.0-3mdv2009.1
+ Revision: 366486
- Regenerate makefiles due to touchpad support patch
- Package and install touchpad schema files
- Make tap-to-click default to on

* Sat Apr 11 2009 Colin Guthrie <cguthrie@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 366212
- Port touchpad preferences from Fedora + enable edgescroll by default

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355852
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347559
- update to new version 2.25.92

* Fri Feb 06 2009 Frederic Crozat <fcrozat@mandriva.com> 2.25.90-2mdv2009.1
+ Revision: 338032
- Add pulseaudio-devel as buildrequires

* Thu Feb 05 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 337701
- new version
- update file list

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315952
- new version
- bump deps

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 308992
- new version
- update patch 2
- update schemas list

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-2mdv2009.1
+ Revision: 300180
- rebuild for new  gnome-desktop

* Tue Nov 04 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 299879
- new version
- update file list

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287362
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282507
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278410
- new version
- update build deps

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273733
- new version
- bump deps

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.6-2mdv2009.0
+ Revision: 273170
- Patch1: don't use X server dpi value by default but 96 instead, should fix huges fonts on very small screens (with high dpi)

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263507
- new version
- update file list

* Fri Jul 25 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 248646
- new version
- add icons

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-2mdv2009.0
+ Revision: 231601
- add patch from Fedora for evdev keyboards

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231149
- new version
- drop patch
- bump deps
- update file list

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 2.22.2.1-1mdv2009.0
+ Revision: 212724
- new version
- drop patch 0

* Thu May 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.1-2mdv2009.0
+ Revision: 210079
- Disable underlinking, it doesn't work well with plugins
- Patch0 (SVN): apply background even if nautilus is enabled (GNOME bug #531487)
- Patch1: don't apply background when it is disabled

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192496
- new version
- drop patch 0

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-3mdv2008.1
+ Revision: 191664
- Update patch0 with more fixes from SVN

* Thu Mar 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 190652
- Patch0: various fixes from SVN

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183691
- new version
- update gconf schemas list

* Mon Mar 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.92-2mdv2008.1
+ Revision: 178058
- Disable esd support, since we ship with PulseAudio instead (recommended by upstream too)

* Sat Mar 01 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 177162
- new version

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.91-3mdv2008.1
+ Revision: 176411
- Add suggests on mandriva-theme (for background)

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-2mdv2008.1
+ Revision: 165896
- fix upgrade problem with existing dir %%_libexecdir/%%name

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165342
- new version
- update file list
- fix installation
- update the conflict with gnome-control-center (bug #37664)

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.2-1mdv2008.1
+ Revision: 160786
- new version
- drop patch

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-3mdv2008.1
+ Revision: 160714
- fix libexec dir (bug #37369)

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-2mdv2008.1
+ Revision: 160709
- rebuild for new libxklavier

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-1mdv2008.1
+ Revision: 159873
- new version
- change back libexec dir

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159760
- new version
- drop patch

* Tue Jan 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.5.2-2mdv2008.1
+ Revision: 156264
- Patch0: fix missing XFT xsettings export (Mdv bug #37037, GNOME bug #511221)

  + Götz Waschk <waschk@mandriva.org>
    - improve file list
    - conflict with old devel package

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5.2-1mdv2008.1
+ Revision: 153114
- import gnome-settings-daemon


* Tue Jan 15 2008 Gtz Waschk <waschk@mandriva.org> 2.21.5.2-1mdv2008.1
- initial package
